# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'knife-pantry/version'

Gem::Specification.new do |spec|
  spec.name          = "knife-pantry"
  spec.version       = "0.3.0"
  spec.authors       = ["lsnyder\n"]
  spec.email         = ["luke.snyder@caa.com"]
  spec.summary       = %q{Knife pantry is a tool for managing environment controlled cookbook versioning. }
  spec.description   = spec.summary
  spec.homepage      = "http://github.com/caagency/knife-pantry"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'chef', '~> 12.4', '>= 12.4'
  spec.add_dependency 'json', '~> 1.8', '>= 1.8.1'
  spec.add_dependency 'ffi-yajl', '2.2.2'

  spec.add_development_dependency "bundler", '~> 1.6', '>= 1.6.2'
  spec.add_development_dependency "rake", '~> 10.4', '>= 10.4.2'
end
